Skip to main content
POST
/
v1
/
chatting
/
{chatbotId}
/
thread
/
{threadId}
/
reset
Reset Conversation
curl --request POST \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/thread/{threadId}/reset \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Conversation reset successfully. New thread created.",
  "data": {
    "newThread": {
      "id": "<string>",
      "chatbotId": "<string>",
      "visitorId": "<string>",
      "title": "<string>",
      "anonymous": true,
      "unreadMessagesCount": 123,
      "escalated": true,
      "important": true,
      "resolved": true,
      "archived": true,
      "tags": [
        "<string>"
      ],
      "positiveCount": 123,
      "negativeCount": 123,
      "platformSource": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "endedAt": "2023-11-07T05:31:56Z",
      "visitorName": "<string>",
      "visitorEmail": "<string>",
      "visitorPhone": "<string>",
      "botIconSrc": "<string>",
      "userIconSrc": "<string>",
      "agentIconSrc": "<string>",
      "bubbleIconSrc": "<string>",
      "llmModel": {
        "id": "<string>",
        "provider": "<string>",
        "title": "<string>"
      }
    },
    "oldThreadId": "<string>",
    "conversationStarters": [
      {}
    ],
    "followupPrompts": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

threadId
string
required
Example:

"abc-thread-uuid"

Response

Conversation reset — new thread created

success
boolean
Example:

true

message
string
Example:

"Conversation reset successfully. New thread created."

data
object